Macaulay2 » Documentation
Packages » Graphics :: pictureZone(FormattedGraphicPrimitives)
next | previous | forward | backward | up | index | toc

# pictureZone(FormattedGraphicPrimitives) -- find the zone that contains the whole list of graphic primitive

- Function: pictureZone
- Usage:
    `pictureZone(fgp)`
- Inputs:
  - fgp, an instance of the type FormattedGraphicPrimitives,
- Outputs:
  - a list, of the form {xmin,xmax,ymin,ymax} (or {xmin,xmax,ymin,ymax,zmin,zmax} for 3D objects) describing a zone containing the object fgp

## Description

    i1 : pictureZone(formatGraphicPrimitives({circle(point(20,30),10)},hashTable {"fill"=>"black"}))

    o1 = {10, 30, 20, 40}

    o1 : List

## Ways to use this method:

- pictureZone(FormattedGraphicPrimitives) -- find the zone that contains the whole list of graphic primitive

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Graphics.m2:1203:0.